#!/bin/bash

htxtfile=BP_1-histos.txt
rootfile=

if [ $# -ge 1 ]; then
 if [ $1 == "-h" ]; then
  echo $0 roothisto_file [region_id]
  exit 0
 fi
 rootfile=$1
fi
if [ $# -ge 2 ]; then
 regno=$2
 htxtfile=BP_${regno}-histos.txt
fi

cat ${htxtfile} | cut -f2 -d'"' | cut -f1 -d','  | grep -v Basics > histoname.txt

root.exe -l -q -x showall.C"(${regno} , \"${rootfile}\")"
